Skip to main content

Deposit History(supporting network)

Request

get /api/v3/capital/deposit/hisrec?coin=EOS&timestamp={{timestamp}}&signature={{signature}}

Response

[
{
"amount": "50000",
"coin": "EOS",
"network": "EOS",
"status": 5,
"address": "0x20b7cf77db93d6ef1ab979c49142ec168427fdee",
"txId": "01391d1c1397ef0a3cbb3c7f99a90846f7c8c2a8dddcdcf84f46b530dede203e1bc804",
"insertTime": 1659513342000,
"unlockConfirm": "10",
"confirmTimes": "241",
"memo": "xxyy1122"
}
]
  • GET /api/v3/capital/deposit/hisrec

Permission: SPOT_WITHDRAW_READ

Weight(IP): 10

Parameters:

NameTypeMandatoryDescription
coinstringNOcoin
statusstringNOdeposit status
startTimestringNOdefault: 7 days ago from current time(Unix millisecond timestamp)
endTimestringNOdefault:current time(Unix millisecond timestamp)
limitstringNOdefault:1000,max:1000
timestampstringYEStimestamp
signaturestringYESsignature
  1. default return the records of the last 7 days.
  2. Ensure that the default timestamp of 'startTime' and 'endTime' does not exceed 7 days.
  3. can query 90 days data at most.

Response:

NameDescription
amountdeposit amount
coincoin
networkdeposit network
statusdeposit status
addressdeposit address
addressTagaddressTag
txIdtxId
insertTimeinsertTime
unlockConfirmunlockConfirm
confirmTimesconfirmTimes
memomemo